/**
 * Copyright (c) 2009-2012 EBMWebsourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.configuration.component;

import javax.management.MBeanServerConnection;
import javax.management.ObjectName;

import org.ow2.petals.jmx.api.api.configuration.component.InstallationConfigurationComponentClient;
import org.ow2.petals.jmx.api.api.configuration.component.exception.ConfigurationComponentDoesNotExistException;
import org.ow2.petals.jmx.api.api.configuration.component.exception.ConfigurationComponentErrorException;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class InstallationConfigurationComponentClientImpl extends AbstractConfigurationComponentClientImpl
        implements InstallationConfigurationComponentClient {

    private static final String INSTALLATION_CONFIGURATION_JMX_NAME = "bootstrap_";

    private static final String INSTALLATION_CONFIGURATION_JMX_TYPE = "custom";

    public InstallationConfigurationComponentClientImpl(final String petalsDomain,
            final MBeanServerConnection beanServerConnection, final String componentName)
            throws ConfigurationComponentDoesNotExistException, ConfigurationComponentErrorException {
        /*
         * The INSTALLATION_CONFIGURATION_JMX_NAME represent the static name part of the focused MBean like
         * "bootstrap_", and componentName the dynamic name part of this MBean like "petals-bc-filetransfer". Finally
         * all the MBean can be: bootstrap_petals-bc-filetransfer
         */
        super(petalsDomain, beanServerConnection, INSTALLATION_CONFIGURATION_JMX_NAME + componentName,
                INSTALLATION_CONFIGURATION_JMX_TYPE);
    }

    public InstallationConfigurationComponentClientImpl(final ObjectName objectName, final String petalsDomain,
            final MBeanServerConnection beanServerConnection) {

        super(objectName, petalsDomain, beanServerConnection);
    }

}
