/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.component.se.flowable;

import org.ow2.petals.jmx.api.api.monitoring.component.se.flowable.DatabaseConnectionPoolMetrics;

/**
 * An implementation of {@link DatabaseConnectionPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class DatabaseConnectionPoolMetricsImpl implements DatabaseConnectionPoolMetrics {

    private Long maxIdleSize = null;

    private Long maxActiveSize = null;

    private Long activeConnectionsSize = null;

    private Long activeConnectionsMaxSize = null;

    private Long idleConnectionsSize = null;

    private Long idleConnectionsMaxSize = null;

    @Override
    public Long getMaxIdleSize() {
        return this.maxIdleSize;
    }

    public void setMaxIdleSize(final Long maxIdleSize) {
        this.maxIdleSize = maxIdleSize;
    }

    @Override
    public Long getMaxActiveSize() {
        return this.maxActiveSize;
    }

    public void setMaxActiveSize(final Long maxActiveSize) {
        this.maxActiveSize = maxActiveSize;
    }

    @Override
    public Long getActiveConnectionsSize() {
        return this.activeConnectionsSize;
    }

    public void setActiveConnectionsSize(final Long activeConnectionsSize) {
        this.activeConnectionsSize = activeConnectionsSize;
    }

    @Override
    public Long getActiveConnectionsMaxSize() {
        return this.activeConnectionsMaxSize;
    }

    public void setActiveConnectionsMaxSize(final Long activeConnectionsMaxSize) {
        this.activeConnectionsMaxSize = activeConnectionsMaxSize;
    }

    @Override
    public Long getIdleConnectionsSize() {
        return this.idleConnectionsSize;
    }

    public void setIdleConnectionsSize(final Long idleConnectionsSize) {
        this.idleConnectionsSize = idleConnectionsSize;
    }

    @Override
    public Long getIdleConnectionsMaxSize() {
        return this.idleConnectionsMaxSize;
    }

    public void setIdleConnectionsMaxSize(final Long idleConnectionsMaxSize) {
        this.idleConnectionsMaxSize = idleConnectionsMaxSize;
    }

}
