/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.container.transport.local;

import org.ow2.petals.jmx.api.api.monitoring.container.transporter.local.DeliveredMessages;

/**
 * An Java bean implementation (of {@link DeliveredMessages}) containing message counter metrics of the local
 * transporter.
 * 
 * @author Christophe DENEUX - Linagora
 *
 */
public class DeliveredMessagesImpl implements DeliveredMessages {

    private long pendingCounter;

    private long succeededCounter;

    private long errorCounter;

    /**
     * Initialize all metrics to 0.
     */
    public DeliveredMessagesImpl() {
        this.pendingCounter = 0;
        this.succeededCounter = 0;
        this.errorCounter = 0;
    }

    @Override
    public long getPendingCounter() {
        return this.pendingCounter;
    }

    @Override
    public long getSucceededCounter() {
        return this.succeededCounter;
    }

    @Override
    public long getErrorCounter() {
        return this.errorCounter;
    }

    public void setPendingCounter(final long pendingCounter) {
        this.pendingCounter = pendingCounter;
    }

    public void setSucceededCounter(final long succeededCounter) {
        this.succeededCounter = succeededCounter;
    }

    public void setErrorCounter(final long errorCounter) {
        this.errorCounter = errorCounter;
    }

}
