/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.defect;

import javax.management.Notification;

import org.ow2.petals.jmx.api.api.monitoring.defect.Defect;

/**
 * A defect from a JMX notification
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class DefectNotif implements Defect {

    private final Notification notif;

    private final String source;

    public DefectNotif(final Notification notif, final String source) {
        this.notif = notif;
        this.source = source;
    }

    @Override
    public long getTimestamp() {
        return this.notif.getTimeStamp();
    }

    @Override
    public long getSequenceNumber() {
        return this.notif.getSequenceNumber();
    }

    @Override
    public String getType() {
        return this.notif.getType();
    }

    @Override
    public String getEmitter() {
        return this.source;
    }

    @Override
    public String getMessage() {
        return this.notif.getMessage();
    }

    @Override
    public Object getUserData() {
        return this.notif.getUserData();
    }

}
