/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.object;

import org.ow2.petals.jmx.api.api.monitoring.object.ExhaustableObjectPoolMetrics;

/**
 * An implementation of {@link ExhaustableObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ExhaustableObjectPoolMetricsImpl extends SizedObjectPoolMetricsImpl
        implements ExhaustableObjectPoolMetrics {

    private Long exhaustions = new Long(0);

    @Override
    public Long getExhaustions() {
        return this.exhaustions;
    }

    public void setExhaustions(final Long exhaustions) {
        if (exhaustions == null) {
            this.exhaustions = new Long(0);
        } else {
            this.exhaustions = exhaustions;
        }
    }

}
