/**
 * Copyright (c) 2013-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.monitoring.object;

import org.ow2.petals.jmx.api.api.monitoring.object.SizedObjectPoolMetrics;

/**
 * An implementation of {@link SizedObjectPoolMetrics} as Java bean.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class SizedObjectPoolMetricsImpl extends ObjectPoolMetricsImpl implements SizedObjectPoolMetrics {

    private Long minIdleSize = new Long(0);

    private Long maxSize = new Long(0);

    @Override
    public Long getMinIdleSize() {
        return this.minIdleSize;
    }

    /**
     * @param minIdleSize
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setMinIdleSize(final Long minIdleSize) {
        if (minIdleSize == null) {
            this.minIdleSize = new Long(0);
        } else {
            this.minIdleSize = minIdleSize;
        }
    }

    @Override
    public Long getMaxSize() {
        return this.maxSize;
    }

    /**
     * @param maxSize
     *            If <code>null</code>, the value <code>0</code> will be used
     */
    public void setMaxSize(final Long maxSize) {
        if (maxSize == null) {
            this.maxSize = new Long(0);
        } else {
            this.maxSize = maxSize;
        }
    }

}
