/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import javax.jbi.JBIException;
import javax.jbi.management.ComponentLifeCycleMBean;
import javax.management.ObjectName;

import org.ow2.petals.jmx.api.api.ComponentClient.State;

/**
 * A Mbean implementation for the component lifecycle service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ComponentLifeCycle implements ComponentLifeCycleMBean {

    @Override
    public String getCurrentState() {
        return State.UNKNOWN.toString();
    }

    @Override
    public void shutDown() throws JBIException {
        // NOP
    }

    @Override
    public void start() throws JBIException {
        // NOP
    }

    @Override
    public void stop() throws JBIException {
        // NOP
    }

    @Override
    public ObjectName getExtensionMBeanName() throws JBIException {
        return null;
    }
}
