/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import javax.jbi.JBIException;
import javax.management.ObjectName;

/**
 * A Mbean implementation for the installation service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InstallationService implements InstallationServiceMBean {

    private final InstallationServiceResults results;

    public InstallationService(final InstallationServiceResults results) {
        this.results = results;
    }

    @Override
    public boolean uninstallSharedLibrary(final String slName, final String version) {
        return false;
    }

    @Override
    public boolean forceUnloadInstaller(final String compName) {
        return false;
    }

    @Override
    public String[] getInstalledComponentsForSharedLibrary(final String slName, final String slVersion)
            throws Exception {
        return null;
    }

    @Override
    public String[][] getInstalledSharedLibraries() {
        return null;
    }

    @Override
    public String[] getInstallers() {
        return null;
    }

    @Override
    public String[] shutdownAllComponents() {
        return null;
    }

    @Override
    public String[] shutdownAllNoMoreUsedComponents() {
        return null;
    }

    @Override
    public boolean shutdownComponent(final String componentName) throws JBIException {
        return false;
    }

    @Override
    public String[] startAllComponents() {
        return null;
    }

    @Override
    public boolean startComponent(final String componentName) throws JBIException {
        return false;
    }

    @Override
    public String[] stopAllComponents() {
        return null;
    }

    @Override
    public boolean stopComponent(final String componentName) throws JBIException {
        return false;
    }

    @Override
    public String[] uninstallAllComponents() {
        return null;
    }

    @Override
    public String[] uninstallAllNoMoreUsedComponents() {
        return null;
    }

    @Override
    public String[] uninstallAllSharedLibraries() {
        return null;
    }

    @Override
    public String[] uninstallAllNoMoreUsedSharedLibraries() {
        return null;
    }

    @Override
    public boolean uninstallComponent(final String componentName) throws JBIException {
        return false;
    }

    @Override
    public String[] unloadAllInstallers(final boolean force) {
        return null;
    }

    @Override
    public String installSharedLibrary(final String slZipURL) {
        return null;
    }

    @Override
    public ObjectName loadInstaller(final String componentName) {
        return this.results.getLoadInstallerResult();
    }

    @Override
    public ObjectName loadNewInstaller(final String installZipURL) {
        return null;
    }

    @Override
    public boolean uninstallSharedLibrary(final String slName) {
        return false;
    }

    @Override
    public boolean unloadInstaller(final String aComponentName, final boolean isToBeDeleted) {
        return false;
    }
}
