/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import javax.management.ObjectName;

/**
 * <p>
 * Results that the methods of {@link Installer} must returns.
 * </p>
 * <p>
 * By default all methods return:
 * <ul>
 * <li><code>null</code>, for {@link Object},</li>
 * <li><code>false</code>, for boolean,</li>
 * <li><code>0</code>, for number,</li>
 * <li>and no exception is thrown.</li>
 * </ul>
 * </p>
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class InstallerResults {

    /**
     * Result of {@link Installer#getInstallerConfigurationMBean()}
     */
    private ObjectName getInstallerConfigurationMBeanResult = null;

    public InstallerResults setGetInstallerConfigurationMBeanResult(final ObjectName result) {
        this.getInstallerConfigurationMBeanResult = result;
        return this;
    }

    /**
     * @return The result of {@link Installer#getInstallerConfigurationMBean()} to use.
     */
    public ObjectName getGetInstallerConfigurationMBeanResult() {
        return this.getInstallerConfigurationMBeanResult;
    }
}
