/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean;

import java.util.HashSet;
import java.util.Map;
import java.util.Set;

import org.ow2.petals.basisapi.exception.PetalsException;
import org.ow2.petals.clientserverapi.topology.RemoteContainer;
import org.ow2.petals.clientserverapi.topology.exception.DetachContainerException;

/**
 * A Mbean implementation for the topology service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class TopologyService implements TopologyServiceMBean {

    @Override
    public Set<Map<String, String>> retrieveTopology(final String securityPassPhrase,
            final boolean isSensibleInformationExpected) throws PetalsException {
        return new HashSet<>();
    }

    @Override
    public Object retrieveTopologyObject(String securityPassPhrase, boolean isSensibleInformationExpected)
            throws PetalsException {
        return "nop";
    }

    @Override
    public void attachContainerTo(final RemoteContainer container, final String securityPassPhrase) {
        // NOP
    }

    @Override
    public void detachContainer() throws DetachContainerException {
        // NOP
    }
}
