/**
 * Copyright (c) 2016-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.jmx.api.impl.mbean.monitoring.component.se;

import java.util.HashMap;
import java.util.Map;

import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringProbeNotInitializedException;
import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringProbeNotStartedException;
import org.ow2.petals.component.framework.clientserver.api.monitoring.exception.MonitoringServiceException;
import org.ow2.petals.jmx.api.impl.mbean.monitoring.component.framework.ComponentMonitoringService;

/**
 * A Mbean implementation for the Petals SE Flowable monitoring service used as mock for unit test purposes
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class SeFlowableMonitoringService extends ComponentMonitoringService
        implements SeFlowableMonitoringServiceMBean {

    @Override
    public Map<String, Long[]> getProcessDefinitions() {
        return new HashMap<String, Long[]>();
    }

    @Override
    public long getAsyncExecutorThreadPoolMaxSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolMinSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolActiveThreadsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolActiveThreadsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolIdleThreadsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolIdleThreadsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolQueuedRequestsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getAsyncExecutorThreadPoolQueuedRequestsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolMaxActiveSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolMaxIdleSize() throws MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolActiveConnectionsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolActiveConnectionsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolIdleConnectionsMax()
            throws MonitoringProbeNotInitializedException, MonitoringServiceException {
        return 0;
    }

    @Override
    public long getDatabaseConnectionPoolIdleConnectionsCurrent()
            throws MonitoringProbeNotStartedException, MonitoringServiceException {
        return 0;
    }
}
